IMG_LoadSizedSVG_IO(3)

NAME
IMG_LoadSizedSVG_IO - Load an SVG image, scaled to a specific size.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

SDL_Surface * IMG_LoadSizedSVG_IO(SDL_IOStream *src, int width, int height);

DESCRIPTION
Since SVG files are resolution-independent, you specify the size you would like the output image to be and it will be generated at those dimensions.

Either width or height may be 0 and the image will be auto-sized to preserve aspect ratio.

When done with the returned surface, the app should dispose of it with a call to SDL_DestroySurface().

FUNCTION PARAMETERS

src an SDL_IOStream to load SVG data from.

width
    desired width of the generated surface, in pixels.

height
    desired height of the generated surface, in pixels.

RETURN VALUE
Returns a new SDL surface, or NULL on error.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_LoadSVG_IO(3)